%global major 1
%define libname %mklibname criu %{major}
%define devname %mklibname -d criu
Name: criu
Version: 1.3
Release: %mkrel 3
Provides: crtools = %{version}-%{release}
Obsoletes: crtools < 1.2-2
Summary: Tool for Checkpoint/Restore in User-space
Group: System/Base
License: GPLv2
URL: http://criu.org/
Source0: http://download.openvz.org/criu/criu-%{version}.tar.bz2

BuildRequires: protobuf-c-devel 
BuildRequires: asciidoc 
BuildRequires: xmlto

# user-space and kernel changes are only available for x86_64 and ARM
# code is very architecture specific
# once imported in RCS it needs a bug openend explaining the ExclusiveArch
# https://bugzilla.redhat.com/show_bug.cgi?id=902875
ExclusiveArch: x86_64 %{arm}

%description
criu is the user-space part of Checkpoint/Restore in User-space
(CRIU), a project to implement checkpoint/restore functionality for
Linux in user-space. 

%package -n %{libname}
Summary: A library for Checkpoint/Restore in User-space
Group: System/Libraries

%description -n %{libname}
The %{libname} package contains libraries and header files for
developing applications that use criu.

%package -n %{devname}
Summary: Development files for criu
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libcriu-devel

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use criu.

%prep
%setup -q -n criu-%{version}

%build
# %{?_smp_mflags} does not work
# -fstack-protector breaks build
CFLAGS+=`echo %{optflags} | sed -e 's,-fstack-protector\S*,,g'` make V=1 WERROR=0 PREFIX=%{_prefix}
make docs V=1


%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} LIBDIR=%{_libdir} LOGROTATEDIR=%{_sysconfdir}/logrotate.d

# upstream renamed to binary to criu
ln -s %{_sbindir}/criu $RPM_BUILD_ROOT%{_sbindir}/crtools

%files
%{_sbindir}/%{name}
%{_sbindir}/crtools
%{_mandir}/man8/*
%doc README COPYING
%{_unitdir}/criu.service
%{_unitdir}/criu.socket
%{_sysconfdir}/logrotate.d/criu-service

%files -n %{libname}
%{_libdir}/libcriu.so.%{major}
%{_libdir}/libcriu.so.%{major}.*

%files -n %{devname}
%{_includedir}/criu
%{_libdir}/libcriu.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Sep 18 2014 umeabot <umeabot> 1.3-3.mga5
+ Revision: 693698
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.3-2.mga5
+ Revision: 678587
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 1.3-1.mga5
+ Revision: 672256
- rename crtools to criu
- 1.3
- rename to criu
- resync with fedora
- rebuild for protobuf-c

* Fri Mar 14 2014 tv <tv> 1.2-1.mga5
+ Revision: 603459
- adjust file list & libify
- workaround install failure
- new release

* Sun Feb 09 2014 tv <tv> 1.1-1.mga5
+ Revision: 586923
- new release

* Thu Dec 05 2013 tv <tv> 1.0-1.mga4
+ Revision: 555371
- new release

* Mon Oct 21 2013 umeabot <umeabot> 0.7-2.mga4
+ Revision: 539560
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 blino <blino> 0.7-1.mga4
+ Revision: 492413
- 0.7
- drop merged patches

* Sat Aug 31 2013 blino <blino> 0.6-1.mga4
+ Revision: 473591
- imported package crtools

